function [overflow_flag,idx] = isoverflow(NN_idx,Idx_children,Idx,topK_cand,K,overflow_num)

     overflow_flag = 0;
     idx = 0;
     valid_topK = topK_cand(topK_cand ~= 0);
     n = min(K,length(valid_topK));
     i = 1;
     while(i <= n)
         [subtree_ix,~] = find(Idx(:,3) == topK_cand(i));
         leafs = Idx_children{subtree_ix,1}; %find the leafs of this topK
         if(ismember(NN_idx,leafs))    % if close to this topK
            if(length(leafs) >= overflow_num) % and this topK is already full
                overflow_flag = 1;
                idx = i;
            end
            break;
         end
         i = i + 1;
     end