
function  [currentTS,currentPos] = addNextTS(stream_input,currentTS,currentPos,overlapTh)

    len = length(currentTS);
    found = 0;
    while(~found & currentPos < (length(stream_input) - len + 1))
        currentPos = currentPos + 1;
        ts = stream_input(currentPos : currentPos + len - 1);
        dis = computeED(zNorm(ts),zNorm(currentTS));
        if(dis > overlapTh)
            found = 1;
            currentTS = ts;
        end
    end
    if(~found)
        currentPos = length(stream_input) + 1; 
    end
        
end

    
function dis = computeED(x,y)
   dis = sum((x-y).^2).^0.5;
end

function ts = zNorm(ts)
    m = mean(ts);
    s = std(ts,1);
    ts = (ts-m)./s;
end