function extractSeq(data,seqLength,x)
    n = length(data)-seqLength+1;
    pos(1) = 1;
    ts = data(1:1+seqLength-1);
    ts = zscore(ts);
    for i=2:n
        ts1 = data(i:i+seqLength-1);
        ts1 = zscore(ts1);
        dis = computeED(ts,ts1);
        if dis>x
            pos = [pos,i];
            ts = data(i:i+seqLength-1);
            ts = zNorm(ts);
        end
    end
    
    
    figure;
    subplot(2,1,1);
    plot(pos);
    hold off
    subplot(2,1,2);
    hold on;
    offset = 1;
    for i=1:length(pos)
        ts = data(pos(i):pos(i)+seqLength-1);
        ts = zNorm(ts);
        if mod(i,2)==1
            plot((offset:offset+seqLength-1),ts,'b');            
        else
            plot((offset:offset+seqLength-1),ts,'r');
        end
        offset = offset + seqLength;
    end
    title(sprintf('current threshold: %2.4f',x)); 
    hold off;
    
end


