function leastTightNode = findLeastTightNode(buffer,old_leafs,new_ts)
    
    buffer = [buffer; new_ts];
    all_ts = [old_leafs; size(buffer,1)];
    num = length(all_ts);
    allidx = 1:num;
    h = zeros(1,num);
    for i = 1: num
        ts = buffer(all_ts(allidx~=i),:);
    
        W = size(ts,1);
        Y = im_pdist_EU(ts,W);     

        Z = linkage(Y,'average');
        height = Z(:,3);
        h(i) = height(end);
    end
    [~,index] = max(h);   
    if(index == num)
        leastTightNode = -1;
    else
        leastTightNode = all_ts(index);
    end
end