function subIdx = getNonOverlap(idx,seqLen)
    % find a subset of idx, which do not have overlap for length seqLen
    subIdx = [];
    idx = sort(idx); %sort in an ascending order
    if(length(idx) >1)
        subIdx = [subIdx, idx(1)];
        currentVal = idx(1);
        for i = 2: length(idx)
            if(idx(i) - currentVal >= seqLen)
                subIdx = [subIdx, idx(i)];               
                currentVal = idx(i);
            end
        end
    end
end