function D= im_pdist_EU(T,n,varargin)
%%n is total number of the images 

if nargin == 3   % for motif discovery
    D = inf(n,n);
    for i = 1: n
        T1 = zscore(T(i,:));
        for j = i+i:n
            T2 = zscore(T(j,:));                
            D(i,j) = sqrt(sum((T2 - T1).^2));
        end
        
    end
elseif nargin >3  % for compare with every existing one 
    D = inf(1, n-1);
    ts1 = zscore(T(varargin{2},:));   
    for i = 1: n
        if (i ~= varargin{2})
            ts2 = zscore(T(i,:));
            D(i) = sqrt(sum((ts2 - ts1).^2));
        end
    end
    
else % for normal one vector
    D(round((n*(n-1))/2)) = 1;

    k = 1;
    for i = 1:n
        for j = i+1:n       
            T1 = zscore(T(i,:));
            T2 = zscore(T(j,:));
%             D(k) = DTW_cpp(T1, T2);
            D(k) = sqrt(sum((T2 - T1).^2));
            k = k + 1;
        end
    end

end